body, html {
    height: 100%;
    -webkit-font-smoothing: antialiased !important;
    -moz-osx-font-smoothing: grayscale;
    text-shadow: none;
    text-rendering: optimizeLegibility !important;
    font-family: Roboto, sans-serif;
    font-size: 16px;
    margin: 0;
}
body {
    padding: 0 1em 1em 1em;
    margin: 0 0 2em 0;
    line-height: 1;
    overflow-x: hidden;
}
html {
    line-height: 1.15;
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
}
.header {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-content: center;
    flex-wrap: nowrap;
    align-items: center;
    width: 100%;
    padding: 5px;
    gap: 1em;
}
.header .logo img {
    width: 100%;
    max-width: 150px;;
    height: auto;
}
.title {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 2em;
}
.title h1 {
    margin-top: 10px;
    margin-bottom: 10px;
}
#timestamp {
    border: 1px solid lightgrey;
    border-radius: 1em;
    max-width: 320px;
    padding: 5px 10px;
    text-align: center;
}
.main {
    display: flex;
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    flex-direction: column;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: stretch;
}
@media only screen and (min-width: 1190px) {
    .main {
        padding: 2.0em 2.0em;
        margin: 0 5em 2em 5em;
    }
}
@media only screen and (min-width: 1315px) {
    .main {
        padding: 2.0em 2.0em;
        margin: 0 15em 2em 15em;
    }
}
@media only screen and (min-width: 1440px) {
    .main {
        padding: 2.0em 2.0em;
        margin: 0 15em 2em 15em;
    }
}
@media only screen and (min-width: 1441px) {
    .main {
        padding: 2.0em 2.0em;
        margin: 0 25em 2em 25em;
    }
}
@media only screen and (max-width: 1190px) {
    .main {
        padding: 0 0 2em 0;
        margin: 0 0 2em 0;
    }
}

.result-section .question {
    padding: 2em 0;
    font-size: 1.3rem;
}
p {
    margin-bottom: 0;
    margin-top: 0;
    font-size: 1.3rem;
}

.chart-container {
    display: flex;
    flex-direction: column;
    max-width: 800px;
    margin-top: 2em;
    margin: 0 auto;
}
.chart-container.blur {
    filter: blur(5px);
    pointer-events: none;
    user-select: none;
}

.chart-container.pie {
    flex-wrap: wrap; 
    flex-direction: row;
}
#F25 .chart-container.pie {flex-wrap: wrap; flex-direction: row-reverse;}

canvas {
    cursor: pointer;
}
.chart-container.pie canvas {
    width: 60% !important; 
    height: 100% !important; 
    aspect-ratio: 1/1; 
    max-width: 480px;
}

.chart-container.pie .legend {
    flex-direction: column; 
    width: 40%; 
    max-width: 320px;
}
#F25 .chart-container.pie .legend ul {justify-content: right;}

@media only screen and (max-width: 480px) {
    .chart-container.pie canvas {
        width: 100% !important; 
        height: 100% !important; 
        aspect-ratio: 1/1;
    }
    .chart-container.pie .legend {
        flex-direction: row; 
        width: 100%; 
        max-width: 100%;
    }
}

canvas {
    margin: 1em 0 1em 0;
}
.legend {
    display: flex;
    justify-content: center;
}
.legend ul {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: left;
    margin: 0px;
    padding: 0px;
}
.legend ul li {
    align-items: center;
    display: flex;
    flex-direction: row;
    padding: .5em;
}
.legend ul li span {
    border-color: rgba(0, 0, 0, 0.1);
    border-width: 0px;
    display: inline-block;
    flex-shrink: 0;
    height: 20px;
    margin-right: 10px;
    width: 20px;
}
.legend ul li p {
    font-size: 1rem;
}

.legend.dimensions {
    flex-wrap: wrap;
    text-align: center;
    padding: 1em 0 1em 0;
}
.legend.dimensions ul {
    flex-direction: column;
    align-items: center;
}
@media screen and (min-width: 490px) {
    .legend.dimensions ul li {
        max-width: 200px;
    }
}

.container {
    width: 100%;
    margin: 0 auto;
    margin-bottom: 1em;
    margin-top: 1em;
}
.instruction {
    font-style: italic;
    display: block; 
    padding: .5em 0;
}
.label {
  padding: 10px;
  font-size: 18px;
  font-weight: bold;
  color: #111;
}
.copy-text {
  position: relative;
  padding: 10px;
  background: #fff;
  border: 1px solid #ddd;
  border-radius: 10px;
  display: flex;
}
.copy-text input.text {
  width: 100%;
  padding: 10px;
  font-size: 18px;
  color: #555;
  border: none;
  outline: none;
}
.copy-text button {
  padding: 10px;
  background: #0086FB;
  color: #fff;
  font-size: 18px;
  border: none;
  outline: none;
  border-radius: 10px;
  cursor: pointer;
}
.copy-text button:active {
  background: #3BE6A3;
}
.copy-text button:before {
  content: "Kopiert";
  position: absolute;
  top: -45px;
  right: 0px;
  background: #3BE6A3;
  padding: 8px 10px;
  border-radius: 20px;
  font-size: 15px;
  display: none;
}
.copy-text button:after {
  content: "";
  position: absolute;
  top: -20px;
  right: 25px;
  width: 10px;
  height: 10px;
  background: #3BE6A3;
  transform: rotate(45deg);
  display: none;
}
.copy-text.active button:before,
.copy-text.active button:after {
  display: block;
}
#print_button {
    font-size: 1em;
    display: block;
    margin: 0 auto;
    margin-top: 1em;
}
#print_button {
    background-color: rgb(0, 134, 251);
    color: white;
    text-align: center;
    font-weight: bold;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    cursor: pointer;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    border: 0;
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    appearance: none;
    -webkit-appearance: none;
    transition: all .3s cubic-bezier(.25,.1,.25,.1);
    border-radius: 2em;
    padding: 0.8em 1em;
}
.no-print {
    margin: 2em 0 2em 0;
}
.no-print.intro {
    margin: 0 0 2em 0; 
}

/* Style the tab */
.tab {
    overflow: auto;
    white-space: nowrap;
    border-top: 1px solid #ccc;
    border-left: 1px solid #ccc;
    border-right: 1px solid #ccc;
    background-color: #f1f1f1;
    padding-right: 5px;
}
/* Style the buttons inside the tab */
.tab button {
  display: inline-block;
  background-color: #d7d7d7;
  cursor: pointer;
  padding: 14px 16px;
  transition: 0.3s;
  font-size: 17px;
  border: 1px solid #ccc;
  border-bottom: 0;
  margin: 5px 0 0 5px;
  border-radius: .5em .5em 0 0;
}
/* Change background color of buttons on hover */
.tab button:hover {
  background-color: #ffff;
}
/* Create an active/current tablink class */
.tab button.active {
  background-color: #ffff;
  position: relative;
  z-index: 2;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19);
}
/* Style the tab content */
.tabcontent {
  padding: 0 12px 30px 12px;
  border: 1px solid #ccc;
  margin-top: -1px;
}

#overlay {
  position: fixed;
  display: block;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.5);
  z-index: 2;
  cursor: pointer;
}
#text {
  position: absolute;
  top: 50%;
  left: 50%;
  color: white;
  transform: translate(-50%,-50%);
  -ms-transform: translate(-50%,-50%);
  text-align: center;
}
.question-shortcut {
    display: none;
}